Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
Vaše pomoc je stále potřeba!

Autor Téma: Eclipse C/C++  (Přečteno 3716 krát)

meloun

  • Návštěvník
  • *
  • Příspěvků: 15
    • Zobrazit profil
Eclipse C/C++
« kdy: 13 Srpna 2008, 00:38:42 »
oblibil jsem si eclipse c/c++
vyzkousel jsem si ho na windowsech, kde jsem jako kompiler pouzil MINGW..

ted bych to same potreboval rozchodit na linuxu, stahnul jsem si eclipse c/c++ a zkusil zalozit projekt s jedinym nabizenym prekladacem linux gcc, projekt se mi nepovedlo prelozit.

je potreba podobne jako na windowsech stahnout nejaky externi kompilator? nebo neco nejak zvlast nastavit? co sem tak procital, tak by to melo chodit hned :/

a jaky debugger mi doporucite? (pro obe platformy)

diky

Martin Kiklhorn

  • Člen občanského sdružení Ubuntu ČR a placené komunitní podpory
  • Administrátor fóra
  • Závislák
  • ******
  • Příspěvků: 4807
  • グーグル!ご存知ですか?
    • Zobrazit profil
    • HEJ
Re: eclipse c/c++
« Odpověď #1 kdy: 13 Srpna 2008, 09:34:10 »
Jsou ve vašem dotazu OPRAVDU VŠECHNY vám dostupné informace o problému?
Linux user since 2007-10-11, Registered #456007
Virtual
| Distribuce
~/slozka znamená /home/"vase jmeno"/slozka
6521 69DE 0F34 FCBC FB1D  DE76 360E 52B2 F71A B8E8

meloun

  • Návštěvník
  • *
  • Příspěvků: 15
    • Zobrazit profil
Re: eclipse c/c++
« Odpověď #2 kdy: 13 Srpna 2008, 09:48:35 »
jasne, ale gcc ma preci kazdej linux ne?
zkousel jsem v konzoli napsat gcc a gcc moje ubuntu uz samozrejme obsahuje.

taky to na nej mam vsecko nastaveny, presto "binary not found"
a dokonce ani standartni vystupni knihovna "stdio.h" se na mem disku nikde nenachazi..

zkusim ho nejak dodatecne nainstalit ale apt-get install gcc mi hlasi ze uz ho mam v nejnovejsi verzi..

Martin Kiklhorn

  • Člen občanského sdružení Ubuntu ČR a placené komunitní podpory
  • Administrátor fóra
  • Závislák
  • ******
  • Příspěvků: 4807
  • グーグル!ご存知ですか?
    • Zobrazit profil
    • HEJ
Re: eclipse c/c++
« Odpověď #3 kdy: 13 Srpna 2008, 09:52:01 »
Kód: [Vybrat]
apt-get install build-essential a možná ještě pár dalších (libc6-dev...)

//jinak pokud vám chybí nějaký soubor a nevíte v jakém balíku je tak se mrkněte na http://packages.ubuntu.com/
dá se tam použít i "Search the contents of packages" a uvidíte v jakých balíkách se nachází, projděte si jejich popis, přes apt-get install si je nainstalujte.
Nebo se mrkněte do
Kód: [Vybrat]
man aptitude máte tam i způsob jak udělat aby byly jen doporučené balíky považovány za závislosti a instalovány automaticky. Občas se vám stane že některý z doporučených již v repozitářích neexistuje, ale to je jen malá chybička na kráse.
« Poslední změna: 13 Srpna 2008, 10:09:02 od kiklhorn »
Jsou ve vašem dotazu OPRAVDU VŠECHNY vám dostupné informace o problému?
Linux user since 2007-10-11, Registered #456007
Virtual
| Distribuce
~/slozka znamená /home/"vase jmeno"/slozka
6521 69DE 0F34 FCBC FB1D  DE76 360E 52B2 F71A B8E8

meloun

  • Návštěvník
  • *
  • Příspěvků: 15
    • Zobrazit profil
Re: eclipse c/c++
« Odpověď #4 kdy: 13 Srpna 2008, 10:22:45 »
tak po pridani build-essential, smazani workspace a zalozeni noveho projektu to zaclo chodit...
myslel sem ze je to tim balickem, ale chodi to i po jeho odstraneni, takze vubec netusim..
kazdopadne diky.

 


Provoz zaštiťuje spolek OpenAlt.